package p05_petle;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

public class ListaMonet {

	public static void main(String[] args) {
		List<Integer> monety1 = new ArrayList<>();
		monety1.add(1);
		monety1.add(2);
		monety1.add(5);
		System.out.println(monety1);
		
		// Od Java 9 można stworzyć listę z konkretnymi elementami
		List<Integer> monety2 = List.of(1, 2, 5);
		System.out.println(monety2);
		// tak utworzonej listy nie można już modyfikować
		//ERR monety2.add(10);
		
		// Można też stworzyć listę mutowalną, ale w jednym ktroku dodać wiele elementów:
		List<Integer> monety3 = new ArrayList<>();
		monety3.addAll(List.of(1, 2, 5));
		System.out.println(monety3);
		
		// w kontekście sprawdzania monet - Set jest strukturą, w której wyszukiwanie działa szybciej, niż w list
		Set<Integer> monety4 = Set.of(1,2,5);
		System.out.println(monety4);
	}

}
